Bug 473723 - (perl-Eval-Context) Review Request: perl-Eval-Context - Evaluate perl code in context wrapper
Review Request: perl-Eval-Context - Evaluate perl code in context wrapper
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Eval-Context
:
Depends On: perl-Data-TreeDumper 473718
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 23:05 EST by Chris Weyl
Modified: 2009-01-14 18:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 18:17:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
make test dies in pain, at least Term/Size.pm seems to be required but missing (40.51 KB, text/plain)
2009-01-08 23:02 EST, manuel wolfshant
no flags Details
failed build log (8.08 KB, text/plain)
2009-01-09 20:48 EST, manuel wolfshant
no flags Details

  None (edit)
Description Chris Weyl 2008-11-29 23:05:55 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Eval-Context.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Eval-Context-0.07-1.fc9.src.rpm

Description:
This module defines a subroutine that let you evaluate Perl code in a
specific context. The code can be passed directly as a string or as a file
name to read from.  It also provides some subroutines to let you define and
optionally share variables and subroutines between your code and the code
you wish to evaluate. Finally there is some support for running your code
in a safe compartment.
Comment 1 Jason Tibbitts 2008-12-10 15:24:58 EST
This depends on Directory::Scratch::Structured.
Comment 2 manuel wolfshant 2009-01-08 23:02:01 EST
Created attachment 328515 [details]
make test dies in pain, at least Term/Size.pm seems to be required but missing
Comment 3 Chris Weyl 2009-01-09 00:00:11 EST
Hrm.  This appears to be perl-Data-TreeDumper's fault for not having Term::Size as a requires (it's not automagically being picked up).  Updating and rebuilding there.
Comment 4 manuel wolfshant 2009-01-09 20:48:42 EST
Created attachment 328609 [details]
failed build log


Make test fails:
t/003_perl_critic.......................
#   Failed test 'Test::Perl::Critic for "blib/lib/Eval/Context.pm"'
#   at /usr/lib/perl5/vendor_perl/5.10.0/Test/Perl/Critic.pm line 99.
#
See attachment for full error log
Comment 6 Chris Weyl 2009-01-11 02:33:19 EST
Err, make that:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1044663
Comment 7 manuel wolfshant 2009-01-12 00:21:42 EST
I'll probably sound picky, but I'd say https://fedoraproject.org/wiki/Packaging/Perl#When_to_.2Anot.2A_test applies here. In other words, the test should be made to pass, not deleted.
I am wrong here? Does it fall under "Tests which do not test package functionality should still be invoked, but their exclusion not be considered a blocker" ?
Comment 8 Chris Weyl 2009-01-12 13:44:10 EST
That's not picky at all :)  The failing test is one using Test::Perl::Critic -- it tests _how_ you code, not if the code works or not, so it's OK to exclude along the lines of Test::Kwalitee, Test::Pod::Coverage, etc.
Comment 9 manuel wolfshant 2009-01-13 07:01:58 EST
Well, what I cannot grok is why including tests which do not pass.



Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: f8e11b8416b276fbe359c7b16f6fab07021f4f55 Eval-Context-0.07.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [+] "make test" passes
=> with some tests skipped

================
*** APPROVED ***
================
Comment 10 Chris Weyl 2009-01-13 11:40:40 EST
New Package CVS Request
=======================
Package Name: perl-Eval-Context
Short Description: Evaluate perl code in context wrapper
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 11 Kevin Fenzi 2009-01-13 16:15:06 EST
cvs done.
Comment 12 Chris Weyl 2009-01-14 18:17:15 EST
Thanks for the review! :-)

Note You need to log in before you can comment on or make changes to this bug.